/**********************************************************************************************************************
 * DISCLAIMER
 * This software is supplied by Renesas Electronics Corporation and is only intended for use with Renesas products. No
 * other uses are authorized. This software is owned by Renesas Electronics Corporation and is protected under all
 * applicable laws, including copyright laws.
 * THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
 * THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED. TO THE MAXIMUM
 * EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES
 * SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO
 * THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 * Renesas reserves the right, without notice, to make changes to this software and to discontinue the availability of
 * this software. By using this software, you agree to the additional terms and conditions found by accessing the
 * following link:
 * http://www.renesas.com/disclaimer
 *
 * Copyright (C) 2020 Renesas Electronics Corporation. All rights reserved.
 *********************************************************************************************************************/
/************************************************************************
*
* Device     : RX/RX200/RX26T
*
* File Name  : intprg.c
*
* Abstract   : Interrupt Program.
*
* History    : 0.0  (2022-05-13)  [Hardware Manual Revision : 0.40]
*
* NOTE       : THIS IS A TYPICAL EXAMPLE.
*
* Copyright(C) 2022 Renesas Electronics Corporation.
*
************************************************************************/
#include <machine.h>
#include "vect.h"

#pragma section IntPRG

// Exception(Supervisor Instruction)
void Excep_SuperVisorInst(void){/* brk(); */}

// Exception(Access Instruction)
void Excep_AccessInst(void){/* brk(); */}

// Exception(Undefined Instruction)
void Excep_UndefinedInst(void){/* brk(); */}

// Exception(Address Instruction)
void Excep_AddressInst(void){/* brk(); */}

// Exception(Floating Point)
void Excep_FloatingPoint(void){/* brk(); */}

// NMI
void NonMaskableInterrupt(void){/* brk(); */}

// Dummy
void Dummy(void){/* brk(); */}



// BSC BUSERR
void Excep_BSC_BUSERR(void){/* brk(); */}

// ICU GROUPIE0
void Excep_ICU_GROUPIE0(void){/* brk(); */}

// RAM RAMERR
void Excep_RAM_RAMERR(void){/* brk(); */}

// FCU FIFERR
void Excep_FCU_FIFERR(void){/* brk(); */}

// FCU FRDYI
void Excep_FCU_FRDYI(void){/* brk(); */}

// ICU SWINT2
void Excep_ICU_SWINT2(void){/* brk(); */}

// ICU SWINT
void Excep_ICU_SWINT(void){/* brk(); */}

// CMT0 CMI0
void Excep_CMT0_CMI0(void){/* brk(); */}

// CMT1 CMI1
void Excep_CMT1_CMI1(void){/* brk(); */}

// CMT2 CMI2
void Excep_CMT2_CMI2(void){/* brk(); */}

// CMT3 CMI3
void Excep_CMT3_CMI3(void){/* brk(); */}

// RSPI0 SPRI0
void Excep_RSPI0_SPRI0(void){/* brk(); */}

// RSPI0 SPTI0
void Excep_RSPI0_SPTI0(void){/* brk(); */}

// RI3C0 RESPI
void Excep_RI3C0_RESPI(void){/* brk(); */}

// RI3C0 CMDI
void Excep_RI3C0_CMDI(void){/* brk(); */}

// RI3C0 IBII
void Excep_RI3C0_IBII(void){/* brk(); */}

// RI3C0 RCVI
void Excep_RI3C0_RCVI(void){/* brk(); */}

// RSPIA0 SPRI
void Excep_RSPIA0_SPRI(void){/* brk(); */}

// RSPIA0 SPTI
void Excep_RSPIA0_SPTI(void){/* brk(); */}

// RIIC0 RXI0
void Excep_RIIC0_RXI0(void){/* brk(); */}

// RIIC0 TXI0
void Excep_RIIC0_TXI0(void){/* brk(); */}

// SCI1 RXI1
void Excep_SCI1_RXI1(void){ ics_int_sci_rxi(); }

// SCI1 TXI1
void Excep_SCI1_TXI1(void){/* brk(); */}

// ICU IRQ0
void Excep_ICU_IRQ0(void){/* brk(); */}

// ICU IRQ1
void Excep_ICU_IRQ1(void){/* brk(); */}

// ICU IRQ2
void Excep_ICU_IRQ2(void){/* brk(); */}

// ICU IRQ3
void Excep_ICU_IRQ3(void){/* brk(); */}

// ICU IRQ4
void Excep_ICU_IRQ4(void){/* brk(); */}

// ICU IRQ5
void Excep_ICU_IRQ5(void){/* brk(); */}

// ICU IRQ6
void Excep_ICU_IRQ6(void){/* brk(); */}

// ICU IRQ7
void Excep_ICU_IRQ7(void){/* brk(); */}

// ICU IRQ8
void Excep_ICU_IRQ8(void){/* brk(); */}

// ICU IRQ9
void Excep_ICU_IRQ9(void){/* brk(); */}

// ICU IRQ10
void Excep_ICU_IRQ10(void){/* brk(); */}

// ICU IRQ11
void Excep_ICU_IRQ11(void){/* brk(); */}

// ICU IRQ12
void Excep_ICU_IRQ12(void){/* brk(); */}

// ICU IRQ13
void Excep_ICU_IRQ13(void){/* brk(); */}

// ICU IRQ14
void Excep_ICU_IRQ14(void){/* brk(); */}

// ICU IRQ15
void Excep_ICU_IRQ15(void){/* brk(); */}

// SCI5 RXI5
void Excep_SCI5_RXI5(void){ ics_int_sci_rxi(); }

// SCI5 TXI5
void Excep_SCI5_TXI5(void){/* brk(); */}

// SCI6 RXI6
void Excep_SCI6_RXI6(void){ ics_int_sci_rxi(); }

// SCI6 TXI6
void Excep_SCI6_TXI6(void){/* brk(); */}

// LVD1 LVD1
void Excep_LVD1_LVD1(void){/* brk(); */}

// LVD2 LVD2
void Excep_LVD2_LVD2(void){/* brk(); */}

// IWDT IWUNI
void Excep_IWDT_IWUNI(void){/* brk(); */}

// WDT WUNI
void Excep_WDT_WUNI(void){/* brk(); */}

// RSCI8 RXI
void Excep_RSCI8_RXI(void){/* brk(); */}

// RSCI8 TXI
void Excep_RSCI8_TXI(void){/* brk(); */}

// RSCI9 RXI
void Excep_RSCI9_RXI(void){/* brk(); */}

// RSCI9 TXI
void Excep_RSCI9_TXI(void){/* brk(); */}

// ICU GROUPBE0
void Excep_ICU_GROUPBE0(void){/* brk(); */}

// ICU GROUPBL2
void Excep_ICU_GROUPBL2(void){/* brk(); */}

// ICU GROUPBL0
void Excep_ICU_GROUPBL0(void){/* brk(); */}

// ICU GROUPBL1
void Excep_ICU_GROUPBL1(void){/* brk(); */}

// ICU GROUPAL0
void Excep_ICU_GROUPAL0(void){/* brk(); */}

// ICU GROUPAL1
void Excep_ICU_GROUPAL1(void){/* brk(); */}

// RSCI11 RXI
void Excep_RSCI11_RXI(void){/* brk(); */}

// RSCI11 TXI
void Excep_RSCI11_TXI(void){/* brk(); */}

// SCI12 RXI12
void Excep_SCI12_RXI12(void){ ics_int_sci_rxi(); }

// SCI12 TXI12
void Excep_SCI12_TXI12(void){/* brk(); */}

// RI3C0 RXI
void Excep_RI3C0_RXI(void){/* brk(); */}

// RI3C0 TXI
void Excep_RI3C0_TXI(void){/* brk(); */}

// DMAC DMAC0I
void Excep_DMAC_DMAC0I(void){/* brk(); */}

// DMAC DMAC1I
void Excep_DMAC_DMAC1I(void){/* brk(); */}

// DMAC DMAC2I
void Excep_DMAC_DMAC2I(void){/* brk(); */}

// DMAC DMAC3I
void Excep_DMAC_DMAC3I(void){/* brk(); */}

// DMAC DMAC74I
void Excep_DMAC_DMAC74I(void){/* brk(); */}

// OST OSTDI
void Excep_OST_OSTDI(void){/* brk(); */}

// S12AD S12ADI
void Excep_S12AD_S12ADI(void){/* brk(); */}

// S12AD S12GBADI
void Excep_S12AD_S12GBADI(void){/* brk(); */}

// S12AD S12GCADI
void Excep_S12AD_S12GCADI(void){/* brk(); */}

// S12AD1 S12ADI1
void Excep_S12AD1_S12ADI1(void){/* brk(); */}

// S12AD1 S12GBADI1
void Excep_S12AD1_S12GBADI1(void){/* brk(); */}

// S12AD1 S12GCADI1
void Excep_S12AD1_S12GCADI1(void){/* brk(); */}

// S12AD2 S12ADI2
void Excep_S12AD2_S12ADI2(void){/* brk(); */}

// S12AD2 S12GBADI2
void Excep_S12AD2_S12GBADI2(void){/* brk(); */}

// S12AD2 S12GCADI2
void Excep_S12AD2_S12GCADI2(void){/* brk(); */}

// CANFD RFDREQ0
void Excep_CANFD_RFDREQ0(void){/* brk(); */}

// CANFD RFDREQ1
void Excep_CANFD_RFDREQ1(void){/* brk(); */}

// CANFD0 CFDREQ0
void Excep_CANFD0_CFDREQ0(void){/* brk(); */}

// TMR0 CMIA0
void Excep_TMR0_CMIA0(void){/* brk(); */}

// TMR0 CMIB0
void Excep_TMR0_CMIB0(void){/* brk(); */}

// TMR0 OVI0
void Excep_TMR0_OVI0(void){/* brk(); */}

// TMR1 CMIA1
void Excep_TMR1_CMIA1(void){/* brk(); */}

// TMR1 CMIB1
void Excep_TMR1_CMIB1(void){/* brk(); */}

// TMR1 OVI1
void Excep_TMR1_OVI1(void){/* brk(); */}

// TMR2 CMIA2
void Excep_TMR2_CMIA2(void){/* brk(); */}

// TMR2 CMIB2
void Excep_TMR2_CMIB2(void){/* brk(); */}

// TMR2 OVI2
void Excep_TMR2_OVI2(void){/* brk(); */}

// TMR3 CMIA3
void Excep_TMR3_CMIA3(void){/* brk(); */}

// TMR3 CMIB3
void Excep_TMR3_CMIB3(void){/* brk(); */}

// TMR3 OVI3
void Excep_TMR3_OVI3(void){/* brk(); */}

// TMR4 CMIA4
void Excep_TMR4_CMIA4(void){/* brk(); */}

// TMR4 CMIB4
void Excep_TMR4_CMIB4(void){/* brk(); */}

// TMR4 OVI4
void Excep_TMR4_OVI4(void){/* brk(); */}

// TMR5 CMIA5
void Excep_TMR5_CMIA5(void){/* brk(); */}

// TMR5 CMIB5
void Excep_TMR5_CMIB5(void){/* brk(); */}

// TMR5 OVI5
void Excep_TMR5_OVI5(void){/* brk(); */}

// TMR6 CMIA6
void Excep_TMR6_CMIA6(void){/* brk(); */}

// TMR6 CMIB6
void Excep_TMR6_CMIB6(void){/* brk(); */}

// TMR6 OVI6
void Excep_TMR6_OVI6(void){/* brk(); */}

// TMR7 CMIA7
void Excep_TMR7_CMIA7(void){/* brk(); */}

// TMR7 CMIB7
void Excep_TMR7_CMIB7(void){/* brk(); */}

// TMR7 OVI7
void Excep_TMR7_OVI7(void){/* brk(); */}

// ELC ELSR18I
void Excep_ELC_ELSR18I(void){/* brk(); */}

// ELC ELSR19I
void Excep_ELC_ELSR19I(void){/* brk(); */}

// TSIP RD
void Excep_TSIP_RD(void){/* brk(); */}

// TSIP WR
void Excep_TSIP_WR(void){/* brk(); */}

// TSIP ERR
void Excep_TSIP_ERR(void){/* brk(); */}

// CMPC0 CMPC0
void Excep_CMPC0_CMPC0(void){/* brk(); */}

// CMPC1 CMPC1
void Excep_CMPC1_CMPC1(void){/* brk(); */}

// CMPC2 CMPC2
void Excep_CMPC2_CMPC2(void){/* brk(); */}

// CMPC3 CMPC3
void Excep_CMPC3_CMPC3(void){/* brk(); */}

// CMPC4 CMPC4
void Excep_CMPC4_CMPC4(void){/* brk(); */}

// CMPC5 CMPC5
void Excep_CMPC5_CMPC5(void){/* brk(); */}

// CMTW0 CMWI0
void Excep_CMTW0_CMWI0(void){/* brk(); */}

// CMTW0 IC0I0
void Excep_CMTW0_IC0I0(void){/* brk(); */}

// CMTW0 IC1I0
void Excep_CMTW0_IC1I0(void){/* brk(); */}

// CMTW0 OC0I0
void Excep_CMTW0_OC0I0(void){/* brk(); */}

// CMTW0 OC1I0
void Excep_CMTW0_OC1I0(void){/* brk(); */}

// CMTW1 CMWI1
void Excep_CMTW1_CMWI1(void){/* brk(); */}

// CMTW1 IC0I1
void Excep_CMTW1_IC0I1(void){/* brk(); */}

// CMTW1 IC1I1
void Excep_CMTW1_IC1I1(void){/* brk(); */}

// CMTW1 OC0I1
void Excep_CMTW1_OC0I1(void){/* brk(); */}

// CMTW1 OC1I1
void Excep_CMTW1_OC1I1(void){/* brk(); */}

// RSCI9 AED
void Excep_RSCI9_AED(void){/* brk(); */}

// PERIA INTA208
void Excep_PERIA_INTA208(void){/* brk(); */}

// PERIA INTA209
void Excep_PERIA_INTA209(void){/* brk(); */}

// PERIA INTA210
void Excep_PERIA_INTA210(void){/* brk(); */}

// PERIA INTA211
void Excep_PERIA_INTA211(void){/* brk(); */}

// PERIA INTA212
void Excep_PERIA_INTA212(void){/* brk(); */}

// PERIA INTA213
void Excep_PERIA_INTA213(void){/* brk(); */}

// PERIA INTA214
void Excep_PERIA_INTA214(void){/* brk(); */}

// PERIA INTA215
void Excep_PERIA_INTA215(void){/* brk(); */}

// PERIA INTA216
void Excep_PERIA_INTA216(void){/* brk(); */}

// PERIA INTA217
void Excep_PERIA_INTA217(void){/* brk(); */}

// PERIA INTA218
void Excep_PERIA_INTA218(void){/* brk(); */}

// PERIA INTA219
void Excep_PERIA_INTA219(void){/* brk(); */}

// PERIA INTA220
void Excep_PERIA_INTA220(void){/* brk(); */}

// PERIA INTA221
void Excep_PERIA_INTA221(void){/* brk(); */}

// PERIA INTA222
void Excep_PERIA_INTA222(void){/* brk(); */}

// PERIA INTA223
void Excep_PERIA_INTA223(void){/* brk(); */}

// PERIA INTA224
void Excep_PERIA_INTA224(void){/* brk(); */}

// PERIA INTA225
void Excep_PERIA_INTA225(void){/* brk(); */}

// PERIA INTA226
void Excep_PERIA_INTA226(void){/* brk(); */}

// PERIA INTA227
void Excep_PERIA_INTA227(void){/* brk(); */}

// PERIA INTA228
void Excep_PERIA_INTA228(void){/* brk(); */}

// PERIA INTA229
void Excep_PERIA_INTA229(void){/* brk(); */}

// PERIA INTA230
void Excep_PERIA_INTA230(void){/* brk(); */}

// PERIA INTA231
void Excep_PERIA_INTA231(void){/* brk(); */}

// PERIA INTA232
void Excep_PERIA_INTA232(void){/* brk(); */}

// PERIA INTA233
void Excep_PERIA_INTA233(void){/* brk(); */}

// PERIA INTA234
void Excep_PERIA_INTA234(void){/* brk(); */}

// PERIA INTA235
void Excep_PERIA_INTA235(void){/* brk(); */}

// PERIA INTA236
void Excep_PERIA_INTA236(void){/* brk(); */}

// PERIA INTA237
void Excep_PERIA_INTA237(void){/* brk(); */}

// PERIA INTA238
void Excep_PERIA_INTA238(void){/* brk(); */}

// PERIA INTA239
void Excep_PERIA_INTA239(void){/* brk(); */}

// PERIA INTA240
void Excep_PERIA_INTA240(void){/* brk(); */}

// PERIA INTA241
void Excep_PERIA_INTA241(void){/* brk(); */}

// PERIA INTA242
void Excep_PERIA_INTA242(void){/* brk(); */}

// PERIA INTA243
void Excep_PERIA_INTA243(void){/* brk(); */}

// PERIA INTA244
void Excep_PERIA_INTA244(void){/* brk(); */}

// PERIA INTA245
void Excep_PERIA_INTA245(void){/* brk(); */}

// PERIA INTA246
void Excep_PERIA_INTA246(void){/* brk(); */}

// PERIA INTA247
void Excep_PERIA_INTA247(void){/* brk(); */}

// PERIA INTA248
void Excep_PERIA_INTA248(void){/* brk(); */}

// PERIA INTA249
void Excep_PERIA_INTA249(void){/* brk(); */}

// PERIA INTA250
void Excep_PERIA_INTA250(void){/* brk(); */}

// PERIA INTA251
void Excep_PERIA_INTA251(void){/* brk(); */}

// PERIA INTA252
void Excep_PERIA_INTA252(void){/* brk(); */}

// PERIA INTA253
void Excep_PERIA_INTA253(void){/* brk(); */}

// PERIA INTA254
void Excep_PERIA_INTA254(void){/* brk(); */}

// PERIA INTA255
void Excep_PERIA_INTA255(void){/* brk(); */}


